import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ExportAccountsComponent } from '@pages/accounts/export-accounts/export-accounts.component';
import {AccountsModule} from '@pages/accounts/accounts.module';
import {AppModule} from '@app/app.module';
import {FooterStubComponent, SidebarStubComponent, TopbarStubComponent} from '@src/testing';

describe('ExportAccountsComponent', () => {
  let component: ExportAccountsComponent;
  let fixture: ComponentFixture<ExportAccountsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        ExportAccountsComponent,
        FooterStubComponent,
        SidebarStubComponent,
        TopbarStubComponent
      ],
      imports: [
        AccountsModule,
        AppModule
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ExportAccountsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
